package cn.iocoder.yudao.module.flow.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 业务异常的错误码区间，解决：解决各模块错误码定义，避免重复，在此只声明不做实际使用
 */
public interface ErrorCodeConstants {
    ErrorCode OUTBOUND_NOT_EXISTS = new ErrorCode(1012000001,"出库单不存在");
    ErrorCode OUTBOUND_GOODS_NOT_EXISTS = new ErrorCode(1012000002, "出库单商品不存在");
    ErrorCode OUTBOUND_GOODS_NOT_BE_REPEATED = new ErrorCode(1012000003, "出库单商品不能重复存在");
    ErrorCode HARVEST_BATCH_NOT_BE_REPEATED = new ErrorCode(1012000004, "采收批次id重复存在");
    ErrorCode GOODS_INFO_NOT_EXISTS_BE_REPEATED = new ErrorCode(1012000005, "商品编码重复存在");
    ErrorCode GOODS_NOT_EXISTS_BE_REPEATED = new ErrorCode(1012000006, "商品重复存在");
    ErrorCode HARVEST_BATCH_ID_NOT_EXISTS_BE_REPEATED = new ErrorCode(1012000007, "入库批次重复存在");
    ErrorCode EXPORT_HAS_BEEN_DELETED_OUTBOUND = new ErrorCode(1013002004, "存在已删除的出库单商号");

}
